"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const melonjs_1 = require("@melonproject/melonjs");
exports.accounting = ([_, routes], __, context) => {
    return routes.accounting && new melonjs_1.Accounting(context.environment, routes.accounting);
};
exports.feeManager = ([_, routes], __, context) => {
    return routes.feeManager && new melonjs_1.FeeManager(context.environment, routes.feeManager);
};
exports.participation = ([_, routes], __, context) => {
    return routes.participation && new melonjs_1.Participation(context.environment, routes.participation);
};
exports.policyManager = ([_, routes], __, context) => {
    return routes.policyManager && new melonjs_1.PolicyManager(context.environment, routes.policyManager);
};
exports.shares = ([_, routes], __, context) => {
    return routes.shares && new melonjs_1.Shares(context.environment, routes.shares);
};
exports.trading = ([_, routes], __, context) => {
    return routes.trading && [routes, new melonjs_1.Trading(context.environment, routes.trading)];
};
exports.vault = ([_, routes], __, context) => {
    return routes.vault && new melonjs_1.Vault(context.environment, routes.vault);
};
exports.priceSource = ([_, routes], __, context) => {
    return routes.priceSource && new melonjs_1.PriceSourceInterface(context.environment, routes.priceSource);
};
exports.registry = ([_, routes], __, context) => {
    return routes.registry && new melonjs_1.Registry(context.environment, routes.registry);
};
exports.version = ([_, routes], __, context) => {
    return routes.version && new melonjs_1.Version(context.environment, routes.version);
};
exports.engine = ([_, routes], __, context) => {
    return routes.engine && new melonjs_1.Engine(context.environment, routes.engine);
};
